100 'EPSON PRINTER INITIALIZATION PROGRAM
110 'PROGRAM ID: MXSET
120 '
130 'WRITTEN BY JEROME BERNSTEIN
140 '           325 ARLINGTON ROAD, N.
150 '           JACKSONVILLE, FL 32211
160 'PERMISSION IS GRANTED TO COPY FOR ANY 
170 'NON-COMMERCIAL USE.
180 '
190 ESC$ = CHR$(27)
200 CLS$ = CHR$(26)
210 LPRINT ESC$"@";
220 F1$ = "ON "          '11" @ 6 LPI
230 F2$ = "OFF"          '11" @ 8 LPI
240 F3$ = "OFF"          '8 1/2" @ 6 LPI
250 F4$ = "OFF"          '8 1/2" @ 8 LPI
260 SOP$ = "OFF"         'SKIP OVER PERF
270 PO$ = "ON "          'PAPER OUT SENSOR
280 CP$ = "OFF"          'COMPRESSED PRINT
290 UL$ = "OFF"          'UNDERLINE MODE
300 IT$ = "OFF"          'ITALICS
310 UP$ = "OFF"          'UNIDIRECTIONAL PRINTING
320 EM$ = "OFF"          'EMPHASIZED PRINT
330 DS$ = "OFF"          'DOUBLE STRIKE
340 SL$ = "0"            'SKIP OVER PERF LINES
350 SW$ = "136"          'COLUMN WIDTH
360 SUP$ = "OFF"         'SUPERSCRIPT 
370 SUB$ = "OFF"         'SUBSCRIPT
380 DW$ = "OFF"
390 PRINT CLS$
400 PRINT TAB(7);"EPSON PRINTER INITIALIZATION PROGRAM":PRINT
410 PRINT " 1. RESET TO DEFAULTS      10. ITALICS -";IT$
420 PRINT " 2. 11 IN. @ 6 LPI -";F1$;SPC(4);"11. UNIDIRECT. PRINT -";UP$
430 PRINT " 3. 11 IN. @ 8 LPI -";F2$;SPC(4);"12. EMPHASIZE PRINT -";EM$
440 PRINT " 4. 8.5IN. @ 6 LPI -";F3$;SPC(4);"13. DOUBLE STRIKE -";DS$
450 PRINT " 5. 8.5IN. @ 8 LPI -";F4$;SPC(4);"14. SET SOP LINES -";SL$
460 PRINT " 6. SKIP OVER PERF -";SOP$;SPC(4);"15. SET WIDTH -";SW$
470 PRINT " 7. PAPER OUT SENSE -";PO$;SPC(3);"16. SUPERSCRIPT -";SUP$
480 PRINT " 8. COMPRESSED CHAR -";CP$;SPC(3);"17. SUBSCRIPT -";SUB$
490 PRINT " 9. UNDERLINE MODE -";UL$;SPC(4);"18. DOUBLE WIDTH -";DW$
500 PRINT
510 PRINT "(Q)UIT WHEN FINISHED":PRINT
520 LINE INPUT "ENTER OPTION NUMBER: "; X$
530 IF (MID$(X$,1,1) = "Q") OR (MID$(X$,1,1) = "q") THEN GOTO 2640
540 IF (LEN(X$) > 0) AND (LEN(X$) < 3) THEN GOTO 610
550 PRINT:PRINT CHR$(7)
560 LINE INPUT "INVALID OPTION NUMBER - PRESS RETURN"; X$
570 GOTO 390
580 FOR L = 1 TO LEN(X$)
590 IF (MID$(X$,L,1) < "0") OR (MID$(X$,L,1) > "9") THEN GOTO 550
600 NEXT L
610 X = VAL(X$)
620 IF (X > 0) AND (X < 19) THEN GOTO 640
630 GOTO 550
640 ON X GOTO 660, 690, 730, 770, 810, 850, 950, 1030, 1110,1190,1270, 1350, 1430, 1510, 1760, 2420, 2500, 2570
650 'RESET ALL TO DEFAULTS
660 LPRINT ESC$"@";
670 GOTO 220
680 'SET 11 INCH PAPER AT 6 LINES PER INCH
690 F1$ = "ON ":F2$ = "OFF":F3$ = F2$:F4$ = F2$
700 LPRINT ESC$"2"ESC$"C"CHR$(66);
710 GOTO 390
720 'SET 11 INCH PAPER AT 8 LINES PER INCH
730 F1$ = "OFF":F2$ = "ON ":F3$ = F1$:F4$ = F1$
740 LPRINT ESC$"0"ESC$"C"CHR$(88);
750 GOTO 390
760 'SET 8 1/2 INCH PAPER AT 6 LINES PER INCH
770 F1$ = "OFF":F2$ = F1$:F3$ = "ON ":F4$ = F1$
780 LPRINT ESC$"2"ESC$"C"CHR$(51);
790 GOTO 390
800 'SET 8 1/2 INCH PAPER AT 8 LINES PER INCH
810 F1$ = "OFF":F2$ = F1$:F3$ = F1$:F4$ = "ON "
820 LPRINT ESC$"0"ESC$"C"CHR$(68);
830 GOTO 390
840 'SET SKIP OVER PERF
850 IF SOP$ = "OFF" THEN GOTO 900
860 SOP$ = "OFF"
870 LPRINT ESC$"O";
880 SL$ = "0"
890 GOTO 390
900 LPRINT ESC$"N"CHR$(6);
910 SOP$ = "ON "
920 SL$ = "6"
930 GOTO 390
940 'TOGGLE PAPER OUT SENSOR
950 IF PO$ = "ON " THEN GOTO 990
960 LPRINT ESC$"9";
970 PO$ = "ON "
980 GOTO 390
990 LPRINT ESC$"8";
1000 PO$ = "OFF"
1010 GOTO 390
1020 'TOGGLE COMPRESSED CHARACTER MODE
1030 IF CP$ = "ON " THEN GOTO 1070
1040 CP$ = "ON "
1050 LPRINT CHR$(15);
1060 GOTO 390
1070 CP$ = "OFF"
1080 LPRINT CHR$(18);
1090 GOTO 390
1100 'TOGGLE UNDERLINE MODE
1110 IF UL$ = "ON " THEN GOTO 1150
1120 UL$ = "ON "
1130 LPRINT ESC$"-"CHR$(1);
1140 GOTO 390
1150 UL$ = "OFF"
1160 LPRINT ESC$"-"CHR$(0);
1170 GOTO 390
1180 'TOGGLE ITALICS
1190 IF IT$ = "ON " THEN GOTO 1230
1200 IT$ = "ON "
1210 LPRINT ESC$CHR$(52);
1220 GOTO 390
1230 IT$ = "OFF"
1240 LPRINT ESC$CHR$(53);
1250 GOTO 390
1260 ' TOGGLE UNIDIRECTIONAL PRINTING
1270 IF UP$ = "ON " THEN GOTO 1310
1280 UP$ = "ON "
1290 LPRINT ESC$CHR$(85)CHR$(1);
1300 GOTO 390
1310 UP$ = "OFF"
1320 LPRINT ESC$CHR$(85)CHR$(0);
1330 GOTO 390
1340 'TOGGLE EMPHASZE PRINT
1350 IF EM$ = "ON " THEN GOTO 1390
1360 EM$ = "ON "
1370 LPRINT ESC$"E";
1380 GOTO 390
1390 EM$ = "OFF"
1400 LPRINT ESC$"F";
1410 GOTO 390
1420 'TOGGLE DOUBLE STRIKE
1430 IF DS$ = "ON " THEN GOTO 1470
1440 DS$ = "ON "
1450 LPRINT ESC$"G";
1460 GOTO 390
1470 DS$ = "OFF"
1480 LPRINT ESC$"H";
1490 GOTO 390
1500 'SET SKIP OVER PERF. LINES
1510 PRINT CLS$
1520 PRINT "ENTER NUMBER OF LINES TO SKIP OVER PERF"
1530 PRINT "(2 TO 16)":PRINT
1540 LINE INPUT; L$
1550 L = VAL(L$)
1560 IF (L > 1) AND (L < 17) THEN GOTO 1590
1570 PRINT CLS$: PRINT CHR$(7)
1580 PRINT "INCORRECT RESPONSE": PRINT: GOTO 1520
1590 ON L GOTO 1570,1600,1610,1620,1630,1640,1650,1660,1670,1680,1690,1700,1710,1720,1730,1740
1600 SL$ = "2":LPRINT ESC$"N"CHR$(2);:GOTO 390
1610 SL$ = "3":LPRINT ESC$"N"CHR$(3);:GOTO 390
1620 SL$ = "4":LPRINT ESC$"N"CHR$(4);:GOTO 390
1630 SL$ = "5":LPRINT ESC$"N"CHR$(5);:GOTO 390
1640 SL$ = "6":LPRINT ESC$"N"CHR$(6);:GOTO 390
1650 SL$ = "7":LPRINT ESC$"N"CHR$(7);:GOTO 390
1660 SL$ = "8":LPRINT ESC$"N"CHR$(8);:GOTO 390
1670 SL$ = "9":LPRINT ESC$"N"CHR$(9);:GOTO 390
1680 SL$ = "10":LPRINT ESC$"N"CHR$(10);:GOTO 390
1690 SL$ = "11":LPRINT ESC$"N"CHR$(11);:GOTO 390
1700 SL$ = "12":LPRINT ESC$"N"CHR$(12);:GOTO 390
1710 SL$ = "13":LPRINT ESC$"N"CHR$(13);:GOTO 390
1720 SL$ = "14":LPRINT ESC$"N"CHR$(14);:GOTO 390
1730 SL$ = "15":LPRINT ESC$"N"CHR$(15);:GOTO 390
1740 SL$ = "16":LPRINT ESC$"N"CHR$(16);:GOTO 390
1750 'SET WIDTH
1760 PRINT CLS$:PRINT
1770 PRINT "SELECT A COLUMN WIDTH FROM THE FOLLOWING"
1780 PRINT "BY ENTERING THE WIDTH DESIRED"
1790 PRINT
1800 PRINT "10    90    160"
1810 PRINT "20   100    170"
1820 PRINT "30   110    180"
1830 PRINT "40   120    190"
1840 PRINT "50   130    200"
1850 PRINT "60   136    210"
1860 PRINT "70   140    220"
1870 PRINT "80   150    231"
1880 LINE INPUT; L$
1890 L = VAL(L$)
1900 IF L = 10 THEN GOTO 2170
1910 IF L = 20 THEN GOTO 2180
1920 IF L = 30 THEN GOTO 2190
1930 IF L = 40 THEN GOTO 2200
1940 IF L = 50 THEN GOTO 2210
1950 IF L = 60 THEN GOTO 2220
1960 IF L = 70 THEN GOTO 2230
1970 IF L = 80 THEN GOTO 2240
1980 IF L = 90 THEN GOTO 2250
1990 IF L = 100 THEN GOTO 2260
2000 IF L = 110 THEN GOTO 2270
2010 IF L = 120 THEN GOTO 2280
2020 IF L = 130 THEN GOTO 2290
2030 IF L = 136 THEN GOTO 2300
2040 IF L = 140 THEN GOTO 2310
2050 IF L = 150 THEN GOTO 2320
2060 IF L = 160 THEN GOTO 2330
2070 IF L = 170 THEN GOTO 2340
2080 IF L = 180 THEN GOTO 2350
2090 IF L = 190 THEN GOTO 2360
2100 IF L = 200 THEN GOTO 2370
2110 IF L = 210 THEN GOTO 2380
2120 IF L = 220 THEN GOTO 2390
2130 IF L = 231 THEN GOTO 2400
2140 PRINT CLS$:PRINT
2150 PRINT "INCORRECT RESPONSE - PLEASE TRY AGAIN":PRINT
2160 GOTO 1770
2170 SW$ = "10":LPRINT ESC$"Q"CHR$(10);:GOTO 390
2180 SW$ = "20":LPRINT ESC$"Q"CHR$(20);:GOTO 390
2190 SW$ = "30":LPRINT ESC$"Q"CHR$(30);:GOTO 390
2200 SW$ = "40":LPRINT ESC$"Q"CHR$(40);:GOTO 390
2210 SW$ = "50":LPRINT ESC$"Q"CHR$(50);:GOTO 390
2220 SW$ = "60":LPRINT ESC$"Q"CHR$(60);:GOTO 390
2230 SW$ = "70":LPRINT ESC$"Q"CHR$(70);:GOTO 390
2240 SW$ = "80":LPRINT ESC$"Q"CHR$(80);:GOTO 390
2250 SW$ = "90":LPRINT ESC$"Q"CHR$(90);:GOTO 390
2260 SW$ = "100":LPRINT ESC$"Q"CHR$(100);:GOTO 390
2270 SW$ = "110":LPRINT ESC$"Q"CHR$(110);:GOTO 390
2280 SW$ = "120":LPRINT ESC$"Q"CHR$(120);:GOTO 390
2290 SW$ = "130":LPRINT ESC$"Q"CHR$(130);:GOTO 390
2300 SW$ = "136":LPRINT ESC$"Q"CHR$(136);:GOTO 390
2310 SW$ = "140":LPRINT ESC$"Q"CHR$(140);:GOTO 390
2320 SW$ = "150":LPRINT ESC$"Q"CHR$(150);:GOTO 390
2330 SW$ = "160":LPRINT ESC$"Q"CHR$(160);:GOTO 390
2340 SW$ = "170":LPRINT ESC$"Q"CHR$(170);:GOTO 390
2350 SW$ = "180":LPRINT ESC$"Q"CHR$(180);:GOTO 390
2360 SW$ = "190":LPRINT ESC$"Q"CHR$(190);:GOTO 390
2370 SW$ = "200":LPRINT ESC$"Q"CHR$(200);:GOTO 390
2380 SW$ = "210":LPRINT ESC$"Q"CHR$(210);:GOTO 390
2390 SW$ = "220":LPRINT ESC$"Q"CHR$(220);:GOTO 390
2400 SW$ = "231":LPRINT ESC$"Q"CHR$(231);:GOTO 390
2410 'TOGGLE SUPERSCRIPT
2420 IF SUP$ = "ON " THEN GOTO 2460
2430 SUP$ = "ON "
2440 LPRINT ESC$"S"CHR$(0);
2450 GOTO 390
2460 SUP$ = "OFF"
2470 LPRINT ESC$"T";
2480 GOTO 390
2490 'TOGGLE SUBSCRIPT
2500 IF SUB$ = "ON " THEN GOTO 2540
2510 SUB$ = "ON "
2520 LPRINT ESC$"S"CHR$(1);
2530 GOTO 390
2540 SUB$ = "OFF"
2550 LPRINT ESC$"T";
2560 GOTO 390
2570 IF DW$ = "ON " THEN GOTO 2610
2580 DW$ = "ON "
2590 LPRINT ESC$"W"CHR$(1);
2600 GOTO 390
2610 SW$ = "OFF"
2620 LPRINT ESC$"W"CHR$(0);
2630 GOTO 390
2640 END
$ = "ON "
2590 LPRINT ESC$"W"CHR$(1);
2600 GOTO 390
2610 SW$ = "OFF